Bug 206787 - Cannot change sample rate to 44100
Cannot change sample rate to 44100
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: qjackctl (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Fernando Lopez-Lezcano
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-16 14:16 EDT by Miles Lane
Modified: 2008-05-06 20:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:51:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miles Lane 2006-09-16 14:16:07 EDT
Description of problem:
I have set the sample frequency to 44100, but after restarting the jack server
and the qjackctl client, I find that the sample rate is still 48000.  I have
double-checked the options, and it is correctly set to 44100.  I get a frequency
mismatch warning from QSynth, since the soundfont I have was sampled at 44100.

Version-Release number of selected component (if applicable):
qjackctl-0.2.20-7.fc6

How reproducible:
Always
Comment 1 Fernando Lopez-Lezcano 2006-09-16 17:20:31 EDT
(In reply to comment #0)
> Description of problem:
> I have set the sample frequency to 44100, but after restarting the jack server
> and the qjackctl client, I find that the sample rate is still 48000.  I have
> double-checked the options, and it is correctly set to 44100.  I get a frequency
> mismatch warning from QSynth, since the soundfont I have was sampled at 44100.

Does the sampling rate still read 44100 in qjackctl preferences? But Jack
reports it is using 48K? If so then you are probably hitting a limitation in
your soundcard, that is, it most probably can only run at 48Khz and Jack chooses
that as the "nearest" sampling rate frequency it can find. 

Jack uses by default the ALSA hw interface and that can't do sampling rate
conversion for you, and Jack itself will not do sampling rate conversion either. 

You could, I guess, use the plughw ALSA interface but the sampling rate
conversion method ALSA currently has available is linear, which is pretty bad in
terms of quality. Depending on what you need it may or may not be usable (I
would not use it). 

> Version-Release number of selected component (if applicable):
> qjackctl-0.2.20-7.fc6
> 
> How reproducible:
> Always
Comment 2 Bug Zapper 2008-04-03 14:14:10 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 20:51:15 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.